%define	module	File-Grep
%define	name	perl-%{module}
%define	version	0.02
%define	release	1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A grep function taking a list of files as argument
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/M/MN/MNEYLON/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
BuildRoot:	%{_tmppath}/%{name}-%{version}
Buildrequires:	perl-devel
Requires:	perl 
Buildarch:	noarch

%description
File::Grep provides similar functionality as perl's builtin grep, map,
and foreach commands, but iterating over a passed filelist instead of
arrays.  While trivial, this module can provide a quick dropin when
such functionality is needed.

%prep
%setup -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/File
%{_mandir}/*/*

%changelog
* Thu Sep 22 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.02-1mdk
- new version
- spec cleanup
- rpmbuildupdate aware
- better url
- fix directory ownership
- enable tests
- don't ship manifest

* Thu Jan 29 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.01-2mdk
- bzip2

* Wed Jan 28 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.01-1mdk
- from Robin Rosenberg <robin.rosenberg@dewire.com> : 
	- initial contrib import. Needed for building Captive-NTFS
